package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoDataStatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformVideoDataStatMapper {
    long countByExample(ContentPlatformVideoDataStatExample example);

    int deleteByExample(ContentPlatformVideoDataStatExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformVideoDataStat record);

    int insertSelective(ContentPlatformVideoDataStat record);

    List<ContentPlatformVideoDataStat> selectByExample(ContentPlatformVideoDataStatExample example);

    ContentPlatformVideoDataStat selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformVideoDataStat record, @Param("example") ContentPlatformVideoDataStatExample example);

    int updateByExample(@Param("record") ContentPlatformVideoDataStat record, @Param("example") ContentPlatformVideoDataStatExample example);

    int updateByPrimaryKeySelective(ContentPlatformVideoDataStat record);

    int updateByPrimaryKey(ContentPlatformVideoDataStat record);
}